package com.as.controller;

import java.util.List;

import org.apache.log4j.Logger;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.as.dao.requestJSON;
import com.as.service.UserService;
import com.as.dao.UserData;
@RestController
@RequestMapping("/user")

public class userContorller {
	@Autowired
	UserService impl;
	private static Logger logger = Logger.getLogger(userContorller.class);
	@RequestMapping(value="/getAllUser", method=RequestMethod.POST)
	public requestJSON<List<UserData>> getUser(@RequestBody UserData data){
		logger.info("进入getUser方法，接收到数据data:" + data.toString());
		requestJSON<List<UserData>> json = new requestJSON<List<UserData>>();
		json.setCode(200);
		json.setData(impl.find(data));
		json.setMessage("成功");
		
		return json; //requestJSON<List<UserData>>;
	}
	
	@RequestMapping(value="/addUser", method=RequestMethod.POST)
	public requestJSON<Integer> addUser(@RequestBody UserData data){
		logger.info("进入getUser方法，接收到数据data:" + data.toString());
		requestJSON<Integer> json = new requestJSON<Integer>();
		json.setCode(200);
		json.setData(impl.add(data));
		json.setMessage("新增成功");
		
		return json; //requestJSON<List<UserData>>;
	}
	
}
